QGIS Application - Bug report #22087
GRASS Region Extent not shown in Batch Mode
2019-05-15 06:22 PM - Pedro Venancio

Status: Open

Priority: High

Assignee: Victor Olaya

Category: Processing/GRASS

Affected QGIS version:3.4.7 Regression?: Yes
Operating System: Easy fix?: No
Pull Request or Patch supplied: Resolution:

Crashes QGIS or corrupls data: Copied to github as #: 29900
Description

When using Processing GRASS algorithms in batch mode, the GRASS_REGION_EXTENT_PARAMETER is not shown.

This happens in QGIS 3.4.7 and QGIS 3.6.2, but seems ok in 3.7 (master).

To reproduce:

1. Run a GRASS algorithm. For instance, v.to.rast. In 'Advanced parameters' you see "GRASS GIS 7 region extent (xmin, xmax, ymin,
ymax) [optional]".

2. Run the same algorithm as Batch Process.

3. Toggle to advanced mode.

4. The "GRASS GIS 7 region extent (xmin, xmax, ymin, ymax)" column is not shown.

History

#1 - 2019-05-17 07:31 PM - Giovanni Manghi
- Regression? changed from No to Yes

- Operating System deleted (Windows 10)

#2 - 2019-05-23 07:58 PM - Victor Olaya

- Assignee set to Victor Olaya

#3 - 2019-05-23 08:08 PM - Victor Olaya

This should be closed. It's already fixed in commit:070de69e30d564a4a8b527a58ef0bc4543cbb4be
